# DocStrap Module: helpers

# Module: helpers

## helpers

Source:
  - helpers.js, line 3

### Members

#### <inner> is[type]

  Determine whether a variable is of the type specified in the function name, eg isNumber

  Types available are Null, Undefined, Object, Array, String, Number, Boolean, Function, RegExp, NaN and Infinite

  Source:
    - helpers.js, line 56

### Methods

#### <static> isScalar(obj) → {bool}

  Determine whether an object is scalar

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `obj` | mixed |

  Source:
    - helpers.js, line 47

  ##### Returns:

  Type
    bool

#### <static> stringTrim(str) → {String}

  Wrap String.prototype.trim in a way that is easily mappable

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `str` | String | The string to trim

  Source:
    - helpers.js, line 15

  ##### Returns:

  - The trimmed string
  Type
    String

#### <static> type(o) → {String}

  Get the type of the variable passed

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `o` | mixed |

  Source:
    - helpers.js, line 26
  See:
    - https://techblog.badoo.com/blog/2013/11/01/type-checking-in-javascript/
    - http://toddmotto.com/understanding-javascript-types-and-reliable-type-checking/

  ##### Returns:

  Type
    String